DisabledJmxServiceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jmx.internal
Class DisabledJmxServiceImpl

    java.lang.Object
      org.hibernate.service.jmx.internal.DisabledJmxServiceImpl

All Implemented Interfaces:
  Serializable, JmxService, Service

    public class DisabledJmxServiceImpl

extends Object
implements JmxService

A no-op version of the `JmxService`

See Also:
  Serialized Form

Field Summary
`static DisabledJmxServiceImpl` | `INSTANCE`

Constructor Summary
`DisabledJmxServiceImpl()`

Method Summary
`void` | `registerMBean(ObjectName objectName, Object mBean)` Registers the given `mBean` under the given `objectName`
`void` | `registerService(Manageable service, Class serviceRole)` Handles registration of a manageable service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DisabledJmxServiceImpl INSTANCE

Constructor Detail

### DisabledJmxServiceImpl

    public DisabledJmxServiceImpl()

Method Detail

### registerService

    public void registerService(Manageable service,
                                Class serviceRole)

  Description copied from interface: `JmxService`
  Handles registration of a manageable service.

  Specified by:
    `registerService` in interface `JmxService`
  Parameters:
    `service` - The manageable service
    `serviceRole` - The service's role.

### registerMBean

    public void registerMBean(ObjectName objectName,
                              Object mBean)

  Description copied from interface: `JmxService`
  Registers the given `mBean` under the given `objectName`

  Specified by:
    `registerMBean` in interface `JmxService`
  Parameters:
    `objectName` - The name under which to register the MBean
    `mBean` - The MBean to register

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.